Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CIAO::Assembly_Placement::Node Class Reference

`#include <Assembly_Spec.h>`

Inheritance diagram for CIAO::Assembly_Placement::Node:

[legend]
List of all members.

## Public Methods
| Node (const char *id=0)
| Default constructor.
virtual int | accept (Visitor &v ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Accepting a visitor.
virtual | ~Node ()
void | usagename (const char *un)
const char * | usagename (void) const
const char * | id (void) const
## Public Attributes
Node * | prev_
| Double linked list required internal data.
Node * | next_
## Protected Attributes
ACE_CString | id_
| Node ID.
ACE_CString | usagename_
| Usage information.

## Detailed Description

Abstract base class for placement information

## Constructor & Destructor Documentation

ACE_INLINE CIAO::Assembly_Placement::Node::Node | ( | const char * | id = 0 | ) |

| Default constructor.

CIAO::Assembly_Placement::Node::~Node | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual int CIAO::Assembly_Placement::Node::accept | ( | Visitor &v | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Accepting a visitor. Reimplemented in CIAO::Assembly_Placement::Container, CIAO::Assembly_Placement::componentinstantiation, CIAO::Assembly_Placement::homeplacement, CIAO::Assembly_Placement::hostcollocation, and CIAO::Assembly_Placement::processcollocation.

ACE_INLINE const char * CIAO::Assembly_Placement::Node::id | ( | void |  | ) | const

ACE_INLINE const char * CIAO::Assembly_Placement::Node::usagename | ( | void |  | ) | const

ACE_INLINE void CIAO::Assembly_Placement::Node::usagename | ( | const char * | un | ) |

## Member Data Documentation

ACE_CString CIAO::Assembly_Placement::Node::id_`[protected]`

| Node ID.

Node* CIAO::Assembly_Placement::Node::next_

Node* CIAO::Assembly_Placement::Node::prev_

| Double linked list required internal data.

ACE_CString CIAO::Assembly_Placement::Node::usagename_`[protected]`

| Usage information.

The documentation for this class was generated from the following files:

- Assembly_Spec.h
- Assembly_Spec.cpp
- Assembly_Spec.inl